Bug 1546649 - DHT: Readdir of directory which contain directory entries is slow
Summary: DHT: Readdir of directory which contain directory entries is slow
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: GlusterFS
Classification: Community
Component: distribute
Version: mainline
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1543072 1689173
TreeView+ depends on / blocked
 
Reported: 2018-02-19 08:49 UTC by Poornima G
Modified: 2020-03-03 07:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-03 07:33:52 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 19559 0 None Abandoned dht: Do not set the inode to NULL in readdirp_cbk, on certain conditions 2019-03-04 19:31:52 UTC

Description Poornima G 2018-02-19 08:49:45 UTC
Description of problem:
If a directory contains 2000 files, the listing of that directory is much faster than the listing of directory that contains 2000 directories.

This needs to be fixed. Its hard to fix it for the first run of readdir on the fresh mount, but atleast for the subsequent runs we should be able to improve performance.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Worker Ant 2018-04-03 07:12:55 UTC
REVIEW: https://review.gluster.org/19559 (dht: Do not set the inode to NULL in readdirp_cbk, on certain conditions) posted (#6) for review on master by Poornima G

Comment 2 Raghavendra G 2019-05-11 14:17:40 UTC
A WIP proposal can be found at:
https://github.com/gluster/glusterfs/issues/611

Note that the discussion is still in preliminary stage and its not evident yet this can be a valid solution. But, I plan to spend some more time on this to drive it to a logical conclusion of whether it can be a viable solution or not.

Comment 4 Susant Kumar Palai 2020-03-03 07:33:52 UTC
Closing this bug as the corresponding bug is abandoned and not being actively worked on.


Note You need to log in before you can comment on or make changes to this bug.